Macaulay2 » Documentation
Packages » ConwayPolynomials :: conwayPolynomial
next | previous | forward | backward | up | index | toc

# conwayPolynomial -- provide a Conway polynomial

## Description

## Synopsis

- Usage:
    `conwayPolynomial(q,Variable=>a)`
- Inputs:
  - q, an integer, a power of a prime number
  - a, a symbol, an optional input, the symbol served as variable, default a
- Outputs:
  - a Conway polynomial whose roots generate a field with q elements

    i1 : conwayPolynomial 125

          3
    o1 = a  - 2a - 2

         ZZ
    o1 : --[a]
          5

## Synopsis

- Usage:
    `conwayPolynomial(p,n,Variable=>a)`
- Inputs:
  - p, an integer, a prime number
  - n, an integer
  - a, a symbol, an optional input, the symbol served as variable, default a
- Outputs:
  - a Conway polynomial whose roots generate a field with p^n elements

    i2 : conwayPolynomial(2,20,Variable=>"b")

          20    10    9    7    6    5    4
    o2 = b   + b   + b  + b  + b  + b  + b  + b + 1

         ZZ
    o2 : --[b]
          2

## Ways to use conwayPolynomial:

- `conwayPolynomial(ZZ)`
- `conwayPolynomial(ZZ,ZZ)`

## For the programmer

The object conwayPolynomial is a method function with options.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/ConwayPolynomials.m2:102:0.